## ros-melodic-sensor-msgs 1.12.7

=== debian/changelog ===
ros-melodic-sensor-msgs (1.12.7-0stretch) stretch; urgency=high

  * Include sstream on header that needs i (#131 <https://github.com/ros/common_msgs/issues/131>)
  * included missing import for the read_points_list method (#128 <https://github.com/ros/common_msgs/issues/128>)
    * included missing import for the read_points_list method
  * Merge pull request #127 <https://github.com/ros/common_msgs/issues/127> from ros-1/fix-typos
  * Merge pull request #85 <https://github.com/ros/common_msgs/issues/85> from ros/missing_test_target_dependency
    fix missing test target dependency
  * Contributors: Dirk Thomas, Jasper, Kuang Fangjun, Tully Foote, chapulina

 -- Tully Foote <tfoote@osrfoundation.org>  Tue, 06 Nov 2018 08:00:00 -0000

ros-melodic-sensor-msgs (1.12.6-0stretch) stretch; urgency=high

  * Return default value to prevent missing return warning.
  * Add function to convert PointCloud2 to namedtuples
    Add new function read_points_list that converts a PointCloud2 to a list of named tuples.
    It works on top of read_points, which generates lists containing the values.
    In consequence read_points_list is slower than read_points.
  * Added equidistant distortion model const
  * Added test_depend on rosunit in sensor_msgs
  * fix catkin_lint warnings
  * add mingration rule, copied from common_msgs-1.6
  * Add missing include for atoi.
    Fixes #97 <https://github.com/ros/common_msgs/issues/97>
  * Contributors: 2scholz, Adam Allevato, Ivor Wanders, Kei Okada, Tully Foote, alexzzhu

 -- Tully Foote <tfoote@osrfoundation.org>  Thu, 03 May 2018 07:00:00 -0000

ros-melodic-sensor-msgs (1.12.5-0stretch) stretch; urgency=high

  * Deal with abstract image encodings
  * Fix spelling mistakes
  * Fix year
  * Contributors: Jochen Sprickerhof, Kentaro Wada, trorornmn

 -- Tully Foote <tfoote@osrfoundation.org>  Fri, 30 Sep 2016 07:00:00 -0000

ros-melodic-sensor-msgs (1.12.4-0stretch) stretch; urgency=high

  * added type mapping and support for different types of points in point clouds
  * remove boost dependency fixes #81 <https://github.com/ros/common_msgs/issues/81>
  * adding a BatteryState message
  * fix iterator doc
  * remove warning due to anonymous namespace
  * Contributors: Sebastian Pütz, Tully Foote, Vincent Rabaud

 -- Tully Foote <tfoote@osrfoundation.org>  Mon, 22 Feb 2016 08:00:00 -0000

ros-melodic-sensor-msgs (1.12.3-0stretch) stretch; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Mon, 20 Apr 2015 07:00:00 -0000

ros-melodic-sensor-msgs (1.12.2-0stretch) stretch; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Sat, 21 Mar 2015 07:00:00 -0000

ros-melodic-sensor-msgs (1.12.1-0stretch) stretch; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Tue, 17 Mar 2015 07:00:00 -0000

ros-melodic-sensor-msgs (1.12.0-0stretch) stretch; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Mon, 29 Dec 2014 08:00:00 -0000

ros-melodic-sensor-msgs (1.11.6-0stretch) stretch; urgency=high

  * Fix compilation with Clang
  * Contributors: jmtatsch

 -- Tully Foote <tfoote@osrfoundation.org>  Tue, 04 Nov 2014 08:00:00 -0000

ros-melodic-sensor-msgs (1.11.5-0stretch) stretch; urgency=high

  * add a test for the operator+ fix
    The behavior of that operator also had to be fixed to return a proper child class
  * fix critical bug with operator+
  * Contributors: Michael Ferguson, Vincent Rabaud

 -- Tully Foote <tfoote@osrfoundation.org>  Mon, 27 Oct 2014 07:00:00 -0000

ros-melodic-sensor-msgs (1.11.4-0stretch) stretch; urgency=high

  * Fix bug caused by use of va_arg in argument list.
  * Contributors: Daniel Maturana

 -- Tully Foote <tfoote@osrfoundation.org>  Thu, 19 Jun 2014 07:00:00 -0000

ros-melodic-sensor-msgs (1.11.3-0stretch) stretch; urgency=high

  * clean up documentation of sensor_msgs so that wiki generated doxygen is readable
  * Export architecture_independent flag in package.xml
  * Contributors: Michael Ferguson, Scott K Logan

 -- Tully Foote <tfoote@osrfoundation.org>  Wed, 07 May 2014 07:00:00 -0000

ros-melodic-sensor-msgs (1.11.2-0stretch) stretch; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Thu, 24 Apr 2014 07:00:00 -0000

ros-melodic-sensor-msgs (1.11.1-0stretch) stretch; urgency=high

  * fix missing include dirs for tests
  * Contributors: Dirk Thomas

 -- Tully Foote <tfoote@osrfoundation.org>  Wed, 16 Apr 2014 07:00:00 -0000

ros-melodic-sensor-msgs (1.11.0-0stretch) stretch; urgency=high

  * add a PointCloud2 iterator and modifier
  * Contributors: Tully Foote, Vincent Rabaud

 -- Tully Foote <tfoote@osrfoundation.org>  Tue, 04 Mar 2014 08:00:00 -0000

ros-melodic-sensor-msgs (1.10.6-0stretch) stretch; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Thu, 27 Feb 2014 08:00:00 -0000

ros-melodic-sensor-msgs (1.10.5-0stretch) stretch; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Tue, 25 Feb 2014 08:00:00 -0000

ros-melodic-sensor-msgs (1.10.4-0stretch) stretch; urgency=high

  * Fix roslib import for message module, remove roslib.load_manifest
  * Contributors: Bence Magyar

 -- Tully Foote <tfoote@osrfoundation.org>  Tue, 18 Feb 2014 08:00:00 -0000

ros-melodic-sensor-msgs (1.10.3-0stretch) stretch; urgency=high

  * python 3 compatibility
  * line wrap Imu.msg comments

 -- Tully Foote <tfoote@osrfoundation.org>  Tue, 07 Jan 2014 08:00:00 -0000

ros-melodic-sensor-msgs (1.10.2-0stretch) stretch; urgency=high

  * adding __init__.py #11 <https://github.com/ros/common_msgs/issues/11>

 -- Tully Foote <tfoote@osrfoundation.org>  Mon, 19 Aug 2013 07:00:00 -0000

ros-melodic-sensor-msgs (1.10.1-0stretch) stretch; urgency=high

  * setup.py for #11 <https://github.com/ros/common_msgs/issues/11>
  * adding installation of point_cloud2.py to sensor_msgs fixes #11 <https://github.com/ros/common_msgs/issues/11>

 -- Tully Foote <tfoote@osrfoundation.org>  Fri, 16 Aug 2013 07:00:00 -0000

ros-melodic-sensor-msgs (1.10.0-0stretch) stretch; urgency=high


