=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: ros-melodic-sensor-msgs
 Section: misc
-Priority: extra
-Maintainer: Tully Foote <tfoote@osrfoundation.org>
-Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin, ros-melodic-geometry-msgs, ros-melodic-message-generation, ros-melodic-rosbag, ros-melodic-rosunit, ros-melodic-std-msgs
+Priority: optional
+Maintainer: Michel Hidalgo <michel@ekumenlabs.com>
+Build-Depends: debhelper (>= 9.0.0), python-setuptools, ros-melodic-catkin, ros-melodic-geometry-msgs, ros-melodic-message-generation, ros-melodic-rosbag, ros-melodic-rosunit, ros-melodic-std-msgs
 Homepage: http://ros.org/wiki/sensor_msgs
 Standards-Version: 3.9.2
